# Makefile.in generated automatically by automake 1.5 from Makefile.am.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

# File: ./src/Makefile.am
# Package: ratts
# Description:
#   + src-level automake file
#
# Process this file with Automake to create Makefile.in.
#-----------------------------------------------------------------------

#-----------------------------------------------------------------------
# Options & Subdirectories
#-----------------------------------------------------------------------

#SUBDIRS = 

SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = ..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_HEADER = $(INSTALL_DATA)
transform = @program_transform_name@
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
AMTAR = @AMTAR@
AWK = @AWK@
BUGREPORT = @BUGREPORT@
CC = @CC@
DEBUG = @DEBUG@
DEPDIR = @DEPDIR@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
LD = @LD@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_VERSION = @PACKAGE_VERSION@
PD_OBJECT_EXTERNALS = @PD_OBJECT_EXTERNALS@
VERSION = @VERSION@
am__include = @am__include@
am__quote = @am__quote@
install_sh = @install_sh@
pddir = @pddir@
pddocdir = @pddocdir@
pdexternsdir = @pdexternsdir@
pdincludedir = @pdincludedir@
AFLAGS = @AFLAGS@

#ratts_SOURCES = $(sort $(klatt__SOURCES) $(holmes_SOURCES)) ratts.c
# ratts_SOURCES = \
#	$(klatt_holmes_shared_sources) \
#	klatt~.c
#	$(holmes_only_sources) \
#	ratts.c

#-----------------------------------------------------------------------
# external compilation : flags
#-----------------------------------------------------------------------
DEFS = @DEFS@
DFLAGS = @DFLAGS@
EXEEXT = .@PDEXT@
IFLAGS = @IFLAGS@
LFLAGS = @LFLAGS@
OFLAGS = @OFLAGS@

#-----------------------------------------------------------------------
# Flags and variables
#-----------------------------------------------------------------------
PDEXT = @PDEXT@
WFLAGS = -Wall -Winline

SUFFIXES = .@PDEXT@


#-----------------------------------------------------------------------
# pd externals (hacked _PROGRAMS target)
#-----------------------------------------------------------------------
pdexterns_PROGRAMS = @PD_OBJECT_EXTERNALS@ ratts

EXTRA_PROGRAMS = \
	klatt~ \
	holmes \
	holmes-feat \
	phones2holmes \
	guessphones \
	number2text \
	rattshash \
	rattstok \
	toupper \
	spellout


pdexterns_DATA = \
	ratts~.pd \
	rattsdict.pd \
	holmes-features.pd


pddoc_DATA = \
	ratts-help.pd \
	klatt~-help.pd \
	holmes-help.pd \
	holmes-feat-help.pd \
	phones2holmes-help.pd \
	guessphones-help.pd \
	holmes-phones.pd \
	number2text-help.pd \
	rattshash-help.pd \
	rattshread-help.pd \
	rattshwrite-help.pd \
	toupper-help.pd \
	spellout-help.pd \
	rattstok-help.pd



#-----------------------------------------------------------------------
# sources
#-----------------------------------------------------------------------
klatt__SOURCES = \
	proto.h \
	parwave.c parwave.h \
	klatt_frame.c klatt_frame.h \
	klatt~.c


holmes_SOURCES = \
	proto.h \
	parwave.c parwave.h \
	klatt_frame.c klatt_frame.h \
	useconfig.h \
	elements.c elements.h phfeat.h \
	Elements.def \
	squeue.c squeue.h \
	dsqueue.c dsqueue.h \
	rholmes.c rholmes.h \
	pars.def \
	pd_holmes.c pd_holmes.h \
	alhash.c alhash.h hashsizes.def \
	holmes.c


holmes_feat_SOURCES = \
	proto.h \
	useconfig.h \
	parwave.c parwave.h \
	klatt_frame.c klatt_frame.h \
	elements.c elements.h phfeat.h \
	Elements.def \
	squeue.c squeue.h \
	dsqueue.c dsqueue.h \
	rholmes.c rholmes.h \
	pars.def \
	pd_holmes.c pd_holmes.h \
	alhash.c alhash.h hashsizes.def \
	holmes-feat.c


phones2holmes_SOURCES = \
	proto.h \
	useconfig.h \
	elements.c elements.h phfeat.h \
	Elements.def \
	pd_phtoelm.c pd_phtoelm.h \
	phtoelm.c phtoelm.h phtoelm.def \
	darray.c darray.h \
	trie.c trie.h \
	squeue.c squeue.h \
	dsqueue.c dsqueue.h \
	phones2holmes.c


guessphones_SOURCES = \
	proto.h \
	useconfig.h \
	text.c text.h english.c \
	darray.h darray.c \
	phoneutils.h phoneutils.c \
	guessphones.c


number2text_SOURCES = \
	proto.h \
	useconfig.h \
	darray.h darray.c \
	phoneutils.h phoneutils.c \
	saynum.h saynum.c \
	number2text.c


rattstok_SOURCES = \
	suspect.h suspect.c \
	rattstok.c


spellout_SOURCES = \
	ASCII.h ASCII.c \
	spellout.c


toupper_SOURCES = \
	toupper.c


rattshash_SOURCES = \
	alhash.c alhash.h hashsizes.def \
	ratts_keyval.c ratts_keyval.h \
	rattshash.h \
	rattshash.c


ratts_SOURCES = \
	proto.h \
	parwave.c parwave.h \
	klatt_frame.c klatt_frame.h \
	useconfig.h \
	elements.c elements.h \
	Elements.def \
	squeue.c squeue.h \
	dsqueue.c dsqueue.h \
	rholmes.c rholmes.h \
	pd_holmes.c pd_holmes.h \
	alhash.c alhash.h hashsizes.def \
	pars.def \
	phtoelm.c phtoelm.h phtoelm.def \
	pd_phtoelm.c pd_phtoelm.h \
	darray.c darray.h \
	phoneutils.h phoneutils.c \
	trie.c trie.h \
	text.c text.h english.c \
	saynum.h saynum.c \
	ratts_keyval.c ratts_keyval.h \
	rattshash.h \
	suspect.h suspect.c \
	ASCII.h ASCII.c \
	klatt~.c \
	holmes.c \
	holmes-feat.c \
	phones2holmes.c \
	guessphones.c \
	number2text.c \
	rattshash.c \
	rattstok.c \
	toupper.c \
	spellout.c \
	ratts.c



#GLIB_IFLAGS = @GLIB_IFLAGS@
#GLIB_LFLAGS = @GLIB_LFLAGS@
AM_CPPFLAGS = $(IFLAGS) $(GLIB_IFLAGS) $(DFLAGS)
AM_CFLAGS = $(OFLAGS) $(WFLAGS) $(AFLAGS)

klatt__LDFLAGS = $(LFLAGS)
klatt__LDADD = $(GLIB_LFLAGS)

holmes_LDFLAGS = $(LFLAGS)
holmes_LDADD = $(GLIB_LFLAGS)

ratts_LDFLAGS = $(LFLAGS)
ratts_LDADD = $(GLIB_LFLAGS)


#-----------------------------------------------------------------------
# Variables: cleanup
#-----------------------------------------------------------------------
#MOSTLYCLEANFILES =
CLEANFILES = *$(EXEEXT)

DISTCLEANFILES = \
	config.log	\
	config.cache	\
	config.status


MAINTAINERCLEANFILES = *~ \
	$(PODS:.pod=.txt) \
	holmes-features.pd \
	Makefile Makefile.in \
	aclocal.m4 \
	configure \
	install-sh \
	stamp-h.in \
	config.h.in



#CVSCLEAN_SUBDIRS = $(SUBDIRS)

#CVSCLEANFILES = Makefile.in Makefile

#-----------------------------------------------------------------------
# Variables: distribution
#-----------------------------------------------------------------------
EXTRA_DIST = \
	make-holmes-features.perl \
	$(pddoc_DATA) \
	$(pdexterns_DATA) \
	klatt-test.pd ksflink.pd klatt-parfile.pd


DIST_SUBDIRS = $(SUBDIRS)
subdir = src
mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
EXTRA_PROGRAMS = klatt~$(EXEEXT) holmes$(EXEEXT) holmes-feat$(EXEEXT) \
	phones2holmes$(EXEEXT) guessphones$(EXEEXT) \
	number2text$(EXEEXT) rattshash$(EXEEXT) rattstok$(EXEEXT) \
	toupper$(EXEEXT) spellout$(EXEEXT)
pdexterns_PROGRAMS = @PD_OBJECT_EXTERNALS@ ratts$(EXEEXT)
PROGRAMS = $(pdexterns_PROGRAMS)

am_guessphones_OBJECTS = text.$(OBJEXT) english.$(OBJEXT) \
	darray.$(OBJEXT) phoneutils.$(OBJEXT) guessphones.$(OBJEXT)
guessphones_OBJECTS = $(am_guessphones_OBJECTS)
guessphones_LDADD = $(LDADD)
guessphones_DEPENDENCIES =
guessphones_LDFLAGS =
am_holmes_OBJECTS = parwave.$(OBJEXT) klatt_frame.$(OBJEXT) \
	elements.$(OBJEXT) squeue.$(OBJEXT) dsqueue.$(OBJEXT) \
	rholmes.$(OBJEXT) pd_holmes.$(OBJEXT) alhash.$(OBJEXT) \
	holmes.$(OBJEXT)
holmes_OBJECTS = $(am_holmes_OBJECTS)
holmes_DEPENDENCIES =
am_holmes_feat_OBJECTS = parwave.$(OBJEXT) klatt_frame.$(OBJEXT) \
	elements.$(OBJEXT) squeue.$(OBJEXT) dsqueue.$(OBJEXT) \
	rholmes.$(OBJEXT) pd_holmes.$(OBJEXT) alhash.$(OBJEXT) \
	holmes-feat.$(OBJEXT)
holmes_feat_OBJECTS = $(am_holmes_feat_OBJECTS)
holmes_feat_LDADD = $(LDADD)
holmes_feat_DEPENDENCIES =
holmes_feat_LDFLAGS =
am_klatt__OBJECTS = parwave.$(OBJEXT) klatt_frame.$(OBJEXT) \
	klatt~.$(OBJEXT)
klatt__OBJECTS = $(am_klatt__OBJECTS)
klatt__DEPENDENCIES =
am_number2text_OBJECTS = darray.$(OBJEXT) phoneutils.$(OBJEXT) \
	saynum.$(OBJEXT) number2text.$(OBJEXT)
number2text_OBJECTS = $(am_number2text_OBJECTS)
number2text_LDADD = $(LDADD)
number2text_DEPENDENCIES =
number2text_LDFLAGS =
am_phones2holmes_OBJECTS = elements.$(OBJEXT) pd_phtoelm.$(OBJEXT) \
	phtoelm.$(OBJEXT) darray.$(OBJEXT) trie.$(OBJEXT) \
	squeue.$(OBJEXT) dsqueue.$(OBJEXT) phones2holmes.$(OBJEXT)
phones2holmes_OBJECTS = $(am_phones2holmes_OBJECTS)
phones2holmes_LDADD = $(LDADD)
phones2holmes_DEPENDENCIES =
phones2holmes_LDFLAGS =
am_ratts_OBJECTS = parwave.$(OBJEXT) klatt_frame.$(OBJEXT) \
	elements.$(OBJEXT) squeue.$(OBJEXT) dsqueue.$(OBJEXT) \
	rholmes.$(OBJEXT) pd_holmes.$(OBJEXT) alhash.$(OBJEXT) \
	phtoelm.$(OBJEXT) pd_phtoelm.$(OBJEXT) darray.$(OBJEXT) \
	phoneutils.$(OBJEXT) trie.$(OBJEXT) text.$(OBJEXT) \
	english.$(OBJEXT) saynum.$(OBJEXT) ratts_keyval.$(OBJEXT) \
	suspect.$(OBJEXT) ASCII.$(OBJEXT) klatt~.$(OBJEXT) \
	holmes.$(OBJEXT) holmes-feat.$(OBJEXT) phones2holmes.$(OBJEXT) \
	guessphones.$(OBJEXT) number2text.$(OBJEXT) rattshash.$(OBJEXT) \
	rattstok.$(OBJEXT) toupper.$(OBJEXT) spellout.$(OBJEXT) \
	ratts.$(OBJEXT)
ratts_OBJECTS = $(am_ratts_OBJECTS)
ratts_DEPENDENCIES =
am_rattshash_OBJECTS = alhash.$(OBJEXT) ratts_keyval.$(OBJEXT) \
	rattshash.$(OBJEXT)
rattshash_OBJECTS = $(am_rattshash_OBJECTS)
rattshash_LDADD = $(LDADD)
rattshash_DEPENDENCIES =
rattshash_LDFLAGS =
am_rattstok_OBJECTS = suspect.$(OBJEXT) rattstok.$(OBJEXT)
rattstok_OBJECTS = $(am_rattstok_OBJECTS)
rattstok_LDADD = $(LDADD)
rattstok_DEPENDENCIES =
rattstok_LDFLAGS =
am_spellout_OBJECTS = ASCII.$(OBJEXT) spellout.$(OBJEXT)
spellout_OBJECTS = $(am_spellout_OBJECTS)
spellout_LDADD = $(LDADD)
spellout_DEPENDENCIES =
spellout_LDFLAGS =
am_toupper_OBJECTS = toupper.$(OBJEXT)
toupper_OBJECTS = $(am_toupper_OBJECTS)
toupper_LDADD = $(LDADD)
toupper_DEPENDENCIES =
toupper_LDFLAGS =
DEFAULT_INCLUDES =  -I. -I$(srcdir) -I.
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
depcomp = $(SHELL) $(top_srcdir)/config/depcomp
@AMDEP_TRUE@DEP_FILES = $(DEPDIR)/ASCII.Po $(DEPDIR)/alhash.Po \
@AMDEP_TRUE@	$(DEPDIR)/darray.Po $(DEPDIR)/dsqueue.Po \
@AMDEP_TRUE@	$(DEPDIR)/elements.Po $(DEPDIR)/english.Po \
@AMDEP_TRUE@	$(DEPDIR)/guessphones.Po $(DEPDIR)/holmes-feat.Po \
@AMDEP_TRUE@	$(DEPDIR)/holmes.Po $(DEPDIR)/klatt_frame.Po \
@AMDEP_TRUE@	$(DEPDIR)/klatt~.Po $(DEPDIR)/number2text.Po \
@AMDEP_TRUE@	$(DEPDIR)/parwave.Po $(DEPDIR)/pd_holmes.Po \
@AMDEP_TRUE@	$(DEPDIR)/pd_phtoelm.Po $(DEPDIR)/phones2holmes.Po \
@AMDEP_TRUE@	$(DEPDIR)/phoneutils.Po $(DEPDIR)/phtoelm.Po \
@AMDEP_TRUE@	$(DEPDIR)/ratts.Po $(DEPDIR)/ratts_keyval.Po \
@AMDEP_TRUE@	$(DEPDIR)/rattshash.Po $(DEPDIR)/rattstok.Po \
@AMDEP_TRUE@	$(DEPDIR)/rholmes.Po $(DEPDIR)/saynum.Po \
@AMDEP_TRUE@	$(DEPDIR)/spellout.Po $(DEPDIR)/squeue.Po \
@AMDEP_TRUE@	$(DEPDIR)/suspect.Po $(DEPDIR)/text.Po \
@AMDEP_TRUE@	$(DEPDIR)/toupper.Po $(DEPDIR)/trie.Po
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
CFLAGS = @CFLAGS@
DIST_SOURCES = $(guessphones_SOURCES) $(holmes_SOURCES) \
	$(holmes_feat_SOURCES) $(klatt__SOURCES) $(number2text_SOURCES) \
	$(phones2holmes_SOURCES) $(ratts_SOURCES) $(rattshash_SOURCES) \
	$(rattstok_SOURCES) $(spellout_SOURCES) $(toupper_SOURCES)
DATA = $(pddoc_DATA) $(pdexterns_DATA)

DIST_COMMON = ./stamp-h.in Makefile.am Makefile.in config.h.in
SOURCES = $(guessphones_SOURCES) $(holmes_SOURCES) $(holmes_feat_SOURCES) $(klatt__SOURCES) $(number2text_SOURCES) $(phones2holmes_SOURCES) $(ratts_SOURCES) $(rattshash_SOURCES) $(rattstok_SOURCES) $(spellout_SOURCES) $(toupper_SOURCES)

all: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
.SUFFIXES: .@PDEXT@ .c .o .obj
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  src/Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && \
	  CONFIG_HEADERS= CONFIG_LINKS= \
	  CONFIG_FILES=$(subdir)/$@ $(SHELL) ./config.status
config.h: stamp-h
	@if test ! -f $@; then \
		rm -f stamp-h; \
		$(MAKE) stamp-h; \
	else :; fi
stamp-h: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h stamp-hT
	@echo timestamp > stamp-hT 2> /dev/null
	cd $(top_builddir) \
	  && CONFIG_FILES= CONFIG_HEADERS=src/config.h \
	     $(SHELL) ./config.status
	@mv stamp-hT stamp-h
$(srcdir)/config.h.in:  $(srcdir)/./stamp-h.in
	@if test ! -f $@; then \
		rm -f $(srcdir)/./stamp-h.in; \
		$(MAKE) $(srcdir)/./stamp-h.in; \
	else :; fi
$(srcdir)/./stamp-h.in: $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	@rm -f $(srcdir)/./stamp-h.in $(srcdir)/./stamp-h.inT
	@echo timestamp > $(srcdir)/./stamp-h.inT 2> /dev/null
	cd $(top_srcdir) && $(AUTOHEADER)
	@mv $(srcdir)/./stamp-h.inT $(srcdir)/./stamp-h.in

distclean-hdr:
	-rm -f config.h
install-pdexternsPROGRAMS: $(pdexterns_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(pdexternsdir)
	@list='$(pdexterns_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	  ; then \
	    f=`echo $$p1|sed '$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$p $(DESTDIR)$(pdexternsdir)/$$f"; \
	   $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$p $(DESTDIR)$(pdexternsdir)/$$f; \
	  else :; fi; \
	done

uninstall-pdexternsPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(pdexterns_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f $(DESTDIR)$(pdexternsdir)/$$f"; \
	  rm -f $(DESTDIR)$(pdexternsdir)/$$f; \
	done

clean-pdexternsPROGRAMS:
	-test -z "$(pdexterns_PROGRAMS)" || rm -f $(pdexterns_PROGRAMS)
guessphones$(EXEEXT): $(guessphones_OBJECTS) $(guessphones_DEPENDENCIES) 
	@rm -f guessphones$(EXEEXT)
	$(LINK) $(guessphones_LDFLAGS) $(guessphones_OBJECTS) $(guessphones_LDADD) $(LIBS)
holmes$(EXEEXT): $(holmes_OBJECTS) $(holmes_DEPENDENCIES) 
	@rm -f holmes$(EXEEXT)
	$(LINK) $(holmes_LDFLAGS) $(holmes_OBJECTS) $(holmes_LDADD) $(LIBS)
holmes-feat$(EXEEXT): $(holmes_feat_OBJECTS) $(holmes_feat_DEPENDENCIES) 
	@rm -f holmes-feat$(EXEEXT)
	$(LINK) $(holmes_feat_LDFLAGS) $(holmes_feat_OBJECTS) $(holmes_feat_LDADD) $(LIBS)
klatt~$(EXEEXT): $(klatt__OBJECTS) $(klatt__DEPENDENCIES) 
	@rm -f klatt~$(EXEEXT)
	$(LINK) $(klatt__LDFLAGS) $(klatt__OBJECTS) $(klatt__LDADD) $(LIBS)
number2text$(EXEEXT): $(number2text_OBJECTS) $(number2text_DEPENDENCIES) 
	@rm -f number2text$(EXEEXT)
	$(LINK) $(number2text_LDFLAGS) $(number2text_OBJECTS) $(number2text_LDADD) $(LIBS)
phones2holmes$(EXEEXT): $(phones2holmes_OBJECTS) $(phones2holmes_DEPENDENCIES) 
	@rm -f phones2holmes$(EXEEXT)
	$(LINK) $(phones2holmes_LDFLAGS) $(phones2holmes_OBJECTS) $(phones2holmes_LDADD) $(LIBS)
ratts$(EXEEXT): $(ratts_OBJECTS) $(ratts_DEPENDENCIES) 
	@rm -f ratts$(EXEEXT)
	$(LINK) $(ratts_LDFLAGS) $(ratts_OBJECTS) $(ratts_LDADD) $(LIBS)
rattshash$(EXEEXT): $(rattshash_OBJECTS) $(rattshash_DEPENDENCIES) 
	@rm -f rattshash$(EXEEXT)
	$(LINK) $(rattshash_LDFLAGS) $(rattshash_OBJECTS) $(rattshash_LDADD) $(LIBS)
rattstok$(EXEEXT): $(rattstok_OBJECTS) $(rattstok_DEPENDENCIES) 
	@rm -f rattstok$(EXEEXT)
	$(LINK) $(rattstok_LDFLAGS) $(rattstok_OBJECTS) $(rattstok_LDADD) $(LIBS)
spellout$(EXEEXT): $(spellout_OBJECTS) $(spellout_DEPENDENCIES) 
	@rm -f spellout$(EXEEXT)
	$(LINK) $(spellout_LDFLAGS) $(spellout_OBJECTS) $(spellout_LDADD) $(LIBS)
toupper$(EXEEXT): $(toupper_OBJECTS) $(toupper_DEPENDENCIES) 
	@rm -f toupper$(EXEEXT)
	$(LINK) $(toupper_LDFLAGS) $(toupper_OBJECTS) $(toupper_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/ASCII.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/alhash.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/darray.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/dsqueue.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/elements.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/english.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/guessphones.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/holmes-feat.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/holmes.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/klatt_frame.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/klatt~.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/number2text.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/parwave.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/pd_holmes.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/pd_phtoelm.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/phones2holmes.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/phoneutils.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/phtoelm.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/ratts.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/ratts_keyval.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/rattshash.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/rattstok.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/rholmes.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/saynum.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/spellout.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/squeue.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/suspect.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/text.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/toupper.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/trie.Po@am__quote@

distclean-depend:
	-rm -rf $(DEPDIR)

.c.o:
@AMDEP_TRUE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(COMPILE) -c `test -f $< || echo '$(srcdir)/'`$<

.c.obj:
@AMDEP_TRUE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(COMPILE) -c `cygpath -w $<`
CCDEPMODE = @CCDEPMODE@
uninstall-info-am:
install-pddocDATA: $(pddoc_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(pddocdir)
	@list='$(pddoc_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(INSTALL_DATA) $$d$$p $(DESTDIR)$(pddocdir)/$$f"; \
	  $(INSTALL_DATA) $$d$$p $(DESTDIR)$(pddocdir)/$$f; \
	done

uninstall-pddocDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(pddoc_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(pddocdir)/$$f"; \
	  rm -f $(DESTDIR)$(pddocdir)/$$f; \
	done
install-pdexternsDATA: $(pdexterns_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(pdexternsdir)
	@list='$(pdexterns_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(INSTALL_DATA) $$d$$p $(DESTDIR)$(pdexternsdir)/$$f"; \
	  $(INSTALL_DATA) $$d$$p $(DESTDIR)$(pdexternsdir)/$$f; \
	done

uninstall-pdexternsDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(pdexterns_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(pdexternsdir)/$$f"; \
	  rm -f $(DESTDIR)$(pdexternsdir)/$$f; \
	done

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)config.h.in$$unique$(LISP)$$tags" \
	  || etags $(ETAGS_ARGS) $$tags config.h.in $$unique $(LISP)

GTAGS:
	here=`CDPATH=: && cd $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH

DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = ..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  if test -f $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    $(mkinstalldirs) "$(distdir)/$$dir"; \
	  fi; \
	  if test -d $$d/$$file; then \
	    cp -pR $$d/$$file $(distdir) \
	    || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(PROGRAMS) $(DATA) config.h

installdirs:
	$(mkinstalldirs) $(DESTDIR)$(pdexternsdir) $(DESTDIR)$(pddocdir) $(DESTDIR)$(pdexternsdir)

install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES) stamp-h stamp-h[0-9]*
	-test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
clean: clean-am

clean-am: clean-generic clean-pdexternsPROGRAMS mostlyclean-am

distclean: distclean-am

distclean-am: clean-am distclean-compile distclean-depend \
	distclean-generic distclean-hdr distclean-tags

dvi: dvi-am

dvi-am:

info: info-am

info-am:

install-data-am: install-pddocDATA install-pdexternsDATA \
	install-pdexternsPROGRAMS

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am

maintainer-clean-am: distclean-am maintainer-clean-generic \
	maintainer-clean-local

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic

uninstall-am: uninstall-info-am uninstall-pddocDATA \
	uninstall-pdexternsDATA uninstall-pdexternsPROGRAMS

.PHONY: GTAGS all all-am check check-am clean clean-generic \
	clean-pdexternsPROGRAMS distclean distclean-compile \
	distclean-depend distclean-generic distclean-hdr distclean-tags \
	distdir dvi dvi-am info info-am install install-am install-data \
	install-data-am install-exec install-exec-am install-info \
	install-info-am install-man install-pddocDATA \
	install-pdexternsDATA install-pdexternsPROGRAMS install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic maintainer-clean-local mostlyclean \
	mostlyclean-compile mostlyclean-generic tags uninstall \
	uninstall-am uninstall-info-am uninstall-pddocDATA \
	uninstall-pdexternsDATA uninstall-pdexternsPROGRAMS


#-----------------------------------------------------------------------
# additional hacks
#-----------------------------------------------------------------------
holmes-features.pd: make-holmes-features.perl phfeat.h
	perl make-holmes-features.perl < phfeat.h > $@

maintainer-clean-local:
	rm -rf autom4te.cache

#DISTHOOK_DIRS = foo
#DISTHOOK_FILES = foo/bar.txt foo/baz.txt
#dist-hook:
#	for d in $(DISTHOOK_DIRS); do\
#	  mkdir -p $(distdir)/$$d ;\
#	done
#	for f in $(DISTHOOK_FILES); do\
#	  cp -p $(srcdir)/$$f $(distdir)/$$f ;\
#	done

#dist-bz2: dist-bzip2 ;

#-----------------------------------------------------------------------
# Rules: cleanup
#-----------------------------------------------------------------------
.PHONY: cvsclean cvsclean-hook

cvsclean: maintainer-clean ;
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
